[lammps-users] error while loading shared libraries: libifcore.so.5

Dear all :

At last, I compiled LAMMPS with meam library, but I met some error to execute the lmp_***.

2009/5/27 YooJun Hwan <[email protected]...>:

Dear all :

At last, I compiled LAMMPS with meam library, but I met some error to
execute the lmp_***.

---------------------------------------------------------------------------------
[[email protected]... src]$ ./lmp_fedora_meam
./lmp_fedora_meam: error while loading shared libraries: libifcore.so.5:
cannot open shared object file: No such file or directory
---------------------------------------------------------------------------------

this has nothing to do with lammps. your intel compiler is
not installed correctly. please read the documentatiion
of the compiler. it explains how to set the necessary
environment variables.

cheers,
   axel.

You checked, but the dynamic run-time linker did not. Presumably that
directory is not in your library search path. Try

export LD_LIBRARY_PATH=/opt/intel/Compiler/11.0/081/lib/intel64:
$LD_LIBRARY_PATH

(all in one line) and see if that solves your problem.

Hope this helps,

  Lutz